Bug 130211 - Featurezilla: Change owner and state at the same time
Summary: Featurezilla: Change owner and state at the same time
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 2.18
Hardware: All Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-18 02:29 UTC by dff
Modified: 2007-04-18 17:10 UTC (History)
1 user (show)

Fixed In Version: 2.18-rh
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 23:18:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dff 2004-08-18 02:29:03 UTC
Something that I constantly run into in both Featurezilla and Bugzilla is that
one can't change both the owner and state at the same time.

For example, if a feature is in 
  NEEDINFO     owned by dff
and I want to convert it to
  ASSIGN_TO_PM owned by rperkins

Then I need to do it in two transactions:
 (1) Change the owner to rperkins and submit
 (2) Change the state to ASSIGN_TO_PM and submit

Problems with this: 
 (1) Wastes time for heavy Fz users and increases probability
      of user error (e.g. submit, move on to another bug, 
      forget to come back and submit again)
 (2) If you try to change the state *and* owner at the same
      time, it will submit but not change the owner.  Many
      people seem to do this and not notice that their update
      only half-applied
 (3) It doubles the amount of bugzilla spam when things have
      to get submitted twice in quick succession like this.

Don't see why at least the Fz template couldn't be changed to allow both owner
and state to be set to arbitrary values on submit?

Comment 1 David Lawrence 2004-12-09 23:18:15 UTC
Should be fixed now in the latest beta and will be in the final production
version. Please reopen this bug if not satisfactory.


Note You need to log in before you can comment on or make changes to this bug.